apiVersion: apps/v1
kind: Deployment
metadata:
  name: gfi-address-import-deployment
  namespace: {{ .Release.Namespace }}
spec:
  selector:
    matchLabels:
      app: gfi-address-import-container
  template:
    metadata:
      labels:
        app: gfi-address-import-container
      annotations:
        checksum/config1: {{ include (print $.Template.BasePath "/configmap.yaml") . | sha256sum }}
    spec:
      containers:
        - image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          imagePullPolicy: Always
          name: gfi-address-import-container
          env:
            - name: GFI_MANUAL_ENDPOINTS_USERNAME
              value: admin
            - name: GFI_MANUAL_ENDPOINTS_PASSWORD
              value: admin
            - name: SPRING_CONFIG_LOCATION
              value: 'file:/config/'
            - name: APP_DB_ROLE
              value: gfi_service
            - name: APP_DB_PASSWORD
              value: gfi_service
            - name: APP_DBNAME
              value: GridFailureData{{ .Values.shortNameEnv | title }}
            - name: DATASOURCE_URL
              value: jdbc:postgresql://postgresql-svc.{{ .Values.sharedEnvironment }}.svc.cluster.local/$(APP_DBNAME)
          ports:
            - containerPort: 9164
          volumeMounts:
            - name: config-volume
              mountPath: /config/
              readOnly: true
      volumes:
        - name: config-volume
          configMap:
            name: gfi-address-import-config
            items:
            - key: application.yml
              path: application.yml
---
apiVersion: v1
kind: Service
metadata:
  name: gfi-address-import-service
  namespace: {{ .Release.Namespace }}
spec:
  selector:
    app: gfi-address-import-container
  ports:
    - protocol: TCP
      port: 9164
      targetPort: 9164